@charset "utf-8";
/* CSS Document */
/* cSpell:disable */

@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@500&display=swap");

/* ===================================================================================================================== */

body {
    margin: 0 auto;
    padding: 0;

    background-color: black;
}

/* ===================================================================================================================== */

.LeftSide {
    width: 11vw;
    height: 99vh;
    /* width: 13.7%; */
    /* min-height: 640px; */
    margin-left: 3px;
    overflow: hidden;

    /* float: left; */
    display: inline-block;
}


.RightSide {
    width: 11vw;
    height: 99vh;
    /* width: 13.7%; */
    /* min-height: 640px; */
    /* margin-right: 1px; */
    overflow: hidden;

    /* float: left; */
    display: inline-block;
}

/* ===================================================================================================================== */

.SideTop {
    width: auto;
    height: 13.5vh;
    /* height: 16%; */
    /* height: 115px; */

    background-color: #0C9;

    border-bottom-width: 3px;
    border-bottom-style: solid;
}

.SideBottom {
    width: auto;
    height: 86.5vh;
    /* height: 84%; */
    /* min-height: 530px; */

    background-color: #939;
}

/* ===================================================================================================================== */

.Middle {
    width: 75.7vw;
    height: 99vh;
    margin: 0 auto;
    /* width: 72%; */
    /* min-height: 640px; */

    overflow: hidden;
    /* float: left; */
    display: inline-block;

    border-left-width: 1px;
    border-left-style: solid;
    border-right-width: 1px;
    border-right-style: solid;
    border-color: #000;
}

/* ===================================================================================================================== */

.MiddleHeader {
    width: auto;
    height: 8.5vh;
    /* min-height: 60px; */

    padding-left: 20px;
    padding-right: 20px;
    padding-top: 5px;
    padding-bottom: 5px;

    position: relative;

    background-color: #F90;
}

#KevinpNet {
    position: absolute;
    top: 50%;
    left: 2em;
    transform: translateY(-50%);
}

#KAP {
    position: absolute;
    top: 50%;
    right: 2em;
    transform: translateY(-50%);
}

/* ===================================================================================================================== */

.MiddleNav {
    width: 100%;
    height: 6vh;
    /* min-height: 55px; */
    /* max-height: 65px; */
    padding: 10px;

    position: relative;

    background-color: #000;
}

.MiddleNavMenu {
    width: 100%;

    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.MiddleNavMenu ul {
    width: auto;
    list-style: none;
    margin: 0 auto;
    padding: 0;

    display: block;

    text-align: center;
    text-transform: uppercase;
    word-spacing: 14px;
    font-weight: 700;
}

.MiddleNavMenu ul li {
    padding: 2px;
    display: inline;
}

.MiddleNavMenu ul a {
    color: #FFF;
    text-decoration: none;
    font-weight: bold;
    font-size: 14px;
    font-family: Verdana, Geneva, sans-serif;
}

.MiddleNavMenu ul li:hover {
    background-color: #333333;
}

.MiddleNavMenu ul a:visited {
    color: rgb(193, 116, 0);
}

.MiddleNavMenu ul a:active {
    color: rgb(8, 175, 27);
}

.CurrentLink {
    color: yellow !important;
}

.InvertedLink {
    /* Added programmatically */
    color: limegreen !important;
}

.MiddleNavMenu ul a:hover {
    color: #06F;
}

/* ===================================================================================================================== */

.MiddleBody {
    width: auto;
    height: 68.1vh;
    /* min-height: 375px; */
    padding: 15px;

    display: block;
    overflow-y: scroll;

    background-color: rgb(137, 240, 137);
    /* background-color: #6F6; */

    border-bottom-width: 3px;
    border-bottom-style: solid;
    border-color: #000;
}

/* ===================================================================================================================== */

.round-contain {
    width: 99%;
    margin: 0 auto;
}

.contentf {
    height: auto;
    /* min-height: 50vh; */
    padding: 15px;

    display: block;
    position: relative;

    background-color: #FFC;
}

.contentf h2 {
    width: 10%;
}

/* stylelint-disable-next-line no-descending-specificity */
.contentf a:hover {
    color: red;
    transition: color 1s ease;
}

/* ===================================================================================================================== */

.contentf-header {
    width: 100%;
    margin-bottom: 25px;

    display: block;
}

.contentf-header .contentf-title {
    float: left;
}

.contentf-header .contentf-title::before {
    content: "\1F920";
}

.contentf-header .contentf-title::after {
    content: "\1F57A";
}

.contentf-header .contentf-color-scheme {
    float: right;
}

.contentf-header .contentf-color-scheme::after {
    content: "\26A1";
}

.contentf-header .contentf-color-scheme a:hover {
    color: red;
    font-weight: 600;
    transition: all 1s ease;
}

/* ===================================================================================================================== */

.contentf-footer {
    width: 100%;
    height: 5vh;
    margin-top: 1em;

    display: block;
}

.contentf-footer .DivClientTime {
    height: 100%;

    float: left;
    font-weight: 700;
}

.contentf-footer #ClientTime::before{
    content: "\231A";
}

.contentf-footer #ClientTime::after{
    content: "\1F30E";
}

.contentf-footer .DivOnlineVisitors {
    height: 100%;
    margin-top: -8px;
    margin-right: 30px;

    float: right;
}

.contentf-footer #SelOnlineVisitors {
    width: 15em;
    color: blueviolet;
    font-size: 6.5pt;
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.contentf-footer #SelOnlineVisitors:hover {
    cursor: pointer;
}

.contentf-footer .DivOnlineVisitors::after {
    content: "\1F46A";
}

/* ===================================================================================================================== */

.MiddleFooter {
    width: 100%;
    height: 7.1vh;
    /* min-height: 55px; */

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    align-content: space-between;

    font-size: 0.9em;
    background-color: #090;
}

.MiddleFooter .PageFooterLeft {
    width: 45%;
    margin: 0;
    padding-left: 1em;

    color: #CCC;
}

.MiddleFooter .PageFooterLeft p {
    margin: 0;
    text-indent: 0;
}

.MiddleFooter .PageFooterRight {
    width: 52%;
    margin: 0;

    color: #CCC;
    text-align: right;
}

.MiddleFooter .PageFooterRight p {
    margin: 0;
}

/* stylelint-disable-next-line no-descending-specificity */
.MiddleFooter .PageFooterRight a {
    color: #CCC;
}

.MiddleFooter .PageFooterRight a:hover {
    color: red;
    font-weight: 500;
    transition: all 1s ease;
}

/* ===================================================================================================================== */

.DivLeftSideScrollingNews {
    width: 75%;
    height: 100%;

    margin-bottom: 0.5em;

    display: inline-block;
}

/* ===================================================================================================================== */

.DivScrollingNews {
    margin-top: -20px;

    float: right;
    display: block;
}

/* stylelint-disable-next-line no-descending-specificity */
.DivScrollingNews p {
    margin-left: 6px;
    margin-bottom: 5px;
}

.DivScrollingNews iframe {
    display: block !important;

    border-style: ridge;
    border-width: 1px;
    border-color: #000;
    border-radius: 9px;
}

/* ===================================================================================================================== */

.SubTitles {
    color: purple;
    font-size: medium;
    font-weight: 700;
}

/* ===================================================================================================================== */

.DivLeftSideContactForm {
    width: 50%;
    height: 100%;

    padding: 8px;
    margin-bottom: 0.5em;

    display: inline-block;

    border-width: 1px;
    border-style: solid;
    border-color: #333333;
    border-radius: 9px;
}

/* stylelint-disable-next-line no-descending-specificity */
.DivLeftSideContactForm p {
    text-indent: 0 !important;
}

#OLDKAPNETContactForm {
    width: 100%;
    display: block;
    text-align: right;
}

#OLDKAPNETContactForm label {
    margin-right: 1em;
    display: inline-block;
    text-align: left;
}

#OLDKAPNETContactForm input {
    display: inline-block;
    /* text-align: right; */
}

.DivRightSideContactForm {
    width: 20%;
    height: 100%;
    margin-top: -1.5em;
    margin-left: 2em;

    display: inline-block;
    vertical-align: top !important;

}

/* stylelint-disable-next-line no-descending-specificity */
.DivRightSideContactForm p {
    margin-bottom: 2em;
    text-indent: 0 !important;
}

#ContactFormErrorMsg {
    margin-bottom: 4em;

    color: red;
    font-size: medium;
    font-weight: 800;

    text-indent: 0 !important;
}

#ContactFormSuccessMsg {
    margin-bottom: 4em;

    color: green;
    font-size: medium;
    font-weight: 800;
}

/* ===================================================================================================================== */

/* Both For Resume Page */

/* stylelint-disable-next-line no-descending-specificity */
.contentf h4 + p {
    margin-top: -10px;
}

/* stylelint-disable-next-line no-descending-specificity */
li {
    margin-bottom: 6px;
}

/* ===================================================================================================================== */

.NavyBannerPara {
    margin-top: 2em;
    margin-bottom: 3em;
    margin-left: 1.5em;
    margin-right: 1.5em;

    text-align: center;
}

.NavyBannerObject {
    border-style: solid;
    border-width: 2px;
    border-color: #000;
}

#BtnDownloadNavy:hover {
    cursor: pointer;
}

/* ===================================================================================================================== */

/* Commentics */

.HorizRuleComments {
    border: 2px solid purple;
}

#commentics {
    width: 90%;
    margin: 0 auto;

    text-align: center;
}

/* ===================================================================================================================== */

table {
    letter-spacing: 1px;
    font-family: sans-serif;
    font-size: 0.8rem;

    border: 2px solid rgb(140 140 140);
    border-collapse: collapse;
}

th {
    margin: 0;
    padding: 0;

    text-align: center;
    color: rgb(65, 48, 65);
    font-size: medium;

    background-color: rgb(78, 158, 238);
}

/* stylelint-disable-next-line no-descending-specificity */
th p {
    margin: 0;
    padding: 0;
    padding-bottom: 3px;
    font-size: 0.7em;
}

tr {
    background-color: #FFF;
}

td {
    margin: 0;
    padding-top: 5px;
    padding-bottom: 5px;

    text-align: center;
    font-size: 0.8em;
}

/* ===================================================================================================================== */

.SectionPicsTitle {
    margin: 0;

    color: purple;
    font-size: larger;
    font-weight: 700;

    text-align: center;
}

.SectionPicsFileCount {
    margin: 0;
    text-indent: 0 !important;
    text-align: center;

    font-size: smaller;
}

/* ===================================================================================================================== */

.GamesDiv {
    width: 80%;
    margin: 0 auto;
    margin-bottom: 20px;
}

.GamesDivInner {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
}

.GamesImage {
    border-width: 4px;
    border-color: #939;
    border-style: solid;
}

.GamesImage:hover {
    border-color: goldenrod;
    transition: border-color 1s ease;
}

.GamesPara {
    width: 60%;
    margin-left: 20px;
    margin-right: 15px;
}

.GamesHorizR {
    width: 85%;
    display: block;

    transform: translateX(10%);
    border-color: red;
    background-color: red;
}

.Game {
    width: 100%;
    /* margin: 0 auto; */

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
}


/* ===================================================================================================================== */

.button-78 {
    align-items: center;
    appearance: none;
    background-clip: padding-box;
    background-color: initial;
    background-image: none;
    border-style: none;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    flex-direction: row;
    flex-shrink: 0;
    font-family: Eina01, sans-serif;
    font-size: 16px;
    font-weight: 800;
    justify-content: center;
    line-height: 20px;
    margin: 0;
    min-height: 60px;
    outline: none;
    overflow: visible;
    padding: 16px 22px;
    pointer-events: auto;
    position: relative;
    text-align: center;
    text-decoration: none;
    text-transform: none;
    -webkit-user-select: none;
    user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    width: auto;
    word-break: keep-all;
    z-index: 0;
}

@media (min-width: 768px) {
  .button-78 {
    padding: 16px 22px;
  }
}

.button-78:before,
.button-78:after {
    border-radius: 80px;
}

.button-78:before {
    background-image: linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
    content: "";
    display: block;
    height: 100%;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -2;
}

.button-78:after {
    background-color: initial;
    background-image: linear-gradient(#541a0f 0, #0c0d0d 100%);
    bottom: 4px;
    content: "";
    display: block;
    left: 4px;
    overflow: hidden;
    position: absolute;
    right: 4px;
    top: 4px;
    transition: all 100ms ease-out;
    z-index: -1;
}

.button-78:hover:not(:disabled):before {
    background: linear-gradient(92.83deg, rgb(255, 116, 38) 0%, rgb(249, 58, 19) 100%);
}

.button-78:hover:not(:disabled):after {
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    transition-timing-function: ease-in;
    opacity: 0;
}

.button-78:active:not(:disabled) {
    color: #ccc;
}

.button-78:active:not(:disabled):before {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, .2), rgba(0, 0, 0, .2)), linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
}

.button-78:active:not(:disabled):after {
    background-image: linear-gradient(#541a0f 0, #0c0d0d 100%);
    bottom: 4px;
    left: 4px;
    right: 4px;
    top: 4px;
}

/* stylelint-disable-next-line no-descending-specificity */
.button-78:disabled {
    cursor: default;
    opacity: .24;
}

/* ===================================================================================================================== */

/* Error Pages 404 and 401 */

.ErrorPagesTable {
    width: 45%;

    font-size: smaller;
}

.ErrorPagesTable tr {
    border: 1px solid darkgreen;
}

.ErrorPagesTable th {
    font-size: x-small;
    background-color: burlywood;
}

/* ===================================================================================================================== */

/* Admin Tools */

#AdminToolsLink {
    color: #CCC;
    text-decoration: none;
}

#AdminToolsLink:hover {
    color: purple;
    transition: color 1s ease;
}

.DivAdminToolsLogo {
    width: 100%;
    height: auto;
    margin-bottom: 15px;

    text-align: center;
}

#AdminToolsLogo {
    width: auto;
    height: auto;
    margin: 0 auto;

    border-style: solid;
    border-color: #000;
    border-width: 2px;
}

#OLDKAPNETAdminToolsLoginForm {
    width: 35%;
    margin: 0 auto;
    padding: 12px;

    text-align: center;

    font-family: 'Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;

    border-radius: 15px;
    border-style: solid;
    border-width: medium;
    border-color: purple;

    background-color:rgb(184, 221, 236);
}

#OLDKAPNETAdminToolsLoginForm label {
    width: 25%;

    display: inline-block;
    text-align: left;
}

#OLDKAPNETAdminToolsLoginForm input[type="submit"] {
    margin-top: 6px;
    margin-bottom: 6px;
    margin-left: 10px;
    margin-right: 10px;
}

#OLDKAPNETAdminToolsLoginForm input[type="reset"] {
    margin-top: 6px;
    margin-bottom: 6px;
    margin-left: 10px;
    margin-right: 10px;
}

#OLDKAPNETAdminToolsLoginForm input[type="submit"], #OLDKAPNETAdminToolsLoginForm input[type="reset"]:hover {
    cursor: pointer;
}

#AdminToolsWarning {
    margin-top: 10px;
    margin-bottom: 10px;

    color: red;

    text-align: center;
    font-size: small;
    font-weight: 700;
}

#AdminToolsLoginLogoutSuccessMsg {
    color: green;
    text-align: center;
    font-weight: 700;
}

#AdminToolsLoginFailedMsg {
    color: red;
    text-align: center;
    font-weight: 700;
}

.AdminToolsTabContentUL {
    list-style-type: decimal;
    margin-bottom: 10px;
}

/* stylelint-disable-next-line no-descending-specificity */
.AdminToolsTabContentUL li {
    margin-bottom: 15px;
}

.AdminToolsUploadFileHeader {
    color: purple;
    text-align: center;
    font-weight: 700;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.tblAdminToolsUploadFile {
    width: 50%;
    margin: 0 auto;
    padding: 10px;

    font-size: medium;
    background-color: rgb(235, 187, 235);

    border-collapse:separate;
    border-radius: 20px;
    border-width: 5px;
    border-color: darkblue;
    border-style: double;
}

.tblAdminToolsUploadFile tr {
    background-color: rgb(235, 187, 235);
}

.UploadFileResultGood {
    margin-top: 12px;
    margin-bottom: 12px;

    color: green;
    text-align: center;
    text-decoration: underline;

    font-weight: 700;
}

.UploadFileResultBad {
    margin-top: 12px;
    margin-bottom: 12px;

    color: red;
    text-align: center;
    text-decoration: underline;

    font-weight: 900;
}

.DIVUploadedFiles {
    width: 90%;
    overflow: hidden;

    margin: 0 auto;

    border-style: groove;
    border-radius: 15px;
    border-color: darkgreen;
    border-width: 2px;
}

.ContentUploadedFiles {
    width: 100%;
    min-height: 300px;
    max-height: 450px;

    padding: 12px;

    overflow-y: scroll;

    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: lightblue;
}

/* ===================================================================================================================== */

/* Admin Tools Reports */

/* stylelint-disable-next-line no-descending-specificity */
.kaptr0 td {
    font-size: x-small;
    font-family: Arial, Helvetica, sans-serif;

    background-color: mediumseagreen;
    border: 1px solid;
}

/* stylelint-disable-next-line no-descending-specificity */
.kaptr1 td {
    font-size: x-small;
    font-family: Arial, Helvetica, sans-serif;

    background-color: skyblue;
    border: 1px solid;
}

.kaptr {
    font-size: small;
    font-family: Arial, Helvetica, sans-serif;

    border: solid;
}

/* ===================================================================================================================== */

/* Admin Tools 2x Reports: Errors401Errors404 and OnlineVisitors */

.ReportDatabaseTable {
    width: 97%;

    font-size: x-small;
    background-color: #5a5ad5;

    border: 2px solid #000080;
}

.ReportDatabaseTableTitle {
    padding: 7px;

    color: peachpuff;
    font-size: small;
    background-color: slateblue;
}

.ReportDatabaseTableHeaderItem {
    padding: 6px !important;

    font-size: 5pt;
    color: rgb(103, 43, 86) !important;
    background-color: rgb(234, 190, 104) !important;
}

.ReportDatabaseTable td {
    color: darkblue;
    font-size: 4pt;
    background-color: rgb(129, 227, 152);
}

/* ===================================================================================================================== */

/* Blogs */

.SectionTicker {
    width: 60vw;
    height: 25vh;

    margin: 0 auto;

    text-align: center;

    /* background-image: linear-gradient(180deg, rgba(64,9,121,0.6180672952774859) 29%, rgba(0,212,255,0.8253502084427521) 90%); */
}

.ticker {
    margin-left: auto;
    margin-right: auto;

    display: inline-block;

    color: rgb(4, 44, 79);
    /* text-transform: uppercase; */
    word-wrap: break-word;
    letter-spacing: 0.1em;
    font-size: 1.8em;
    font-weight: 700;
    font-family: Arial, Helvetica, sans-serif;
}

@font-face {
    font-family: 'happy_schoolregular';
    src: url('/CSS/webfonts/happy_school-webfont.woff2') format('woff2'),
         url('CSS/webfonts/happy_school-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

.BlogTitles {
    margin: 0 auto;


    color: rgb(33, 109, 33);
    text-align: center;
    font-size: 2.5em;
    font-family: "happy_schoolregular", fantasy;
}

.myEasyTicker {
    /* height: 4vh; */
    /* margin-left: auto; */
    /* margin-right: auto; */

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}

.myEasyTickerInner {
    /* margin-top: 5em; */

    color: rgb(90, 61, 255);
    text-align: center;
    /* text-transform: uppercase; */
    letter-spacing: 0.1em;
    font-size: 2.4em;
    font-weight: 700;
    font-family: "happy_schoolregular", fantasy;
}

/* ===================================================================================================================== */

/* Software */

.SoftwareContainer {
    width: 95%;
    margin: 0 auto;

    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.FancyButton {
    width: 15em;
    height: 6em;
    margin-top: 20px;
    margin-bottom: 40px;

    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;
    transition: 0.3s;

    font-weight: bold;
    font-size: 16px;
    font-family: "Josefin Sans", sans-serif;

    background-color: #fdcb6e;
    box-shadow: 5px 5px 0 0;
}

/* stylelint-disable-next-line no-descending-specificity */
.FancyButton a {
    position: absolute;
    text-align: center;
    text-decoration: none;
    color: #000;
    z-index: 1000;
}

.FancyButton::after {
    content: "";
    width: 15em;
    height: 6em;
    background: linear-gradient(to right, #ff7675, #e84393);
    opacity: 0;
    transition: 0.3s;
}

.FancyButton:hover {
    box-shadow: -5px -5px 0 0;
    transform: scale(0.99);
}

.FancyButton:hover::after {
    opacity: 1;
}

.SoftwareDescription {
    width: 53vw;
    height: 12vh;
    margin-left: 15px;
    margin-top: 20px;
    margin-bottom: 40px;
    padding: 8px;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;

    color: black;
    font-size: small;
    font-weight: 600;

    background-color: #FFE53B;
    background-image: linear-gradient(120deg, #f6d365 0%, #fda085 100%);

    border-color: #333333;
    border-width: 1px;
    border-style: solid;
    border-radius: 5px;

    box-shadow: -7px 6px 3px -1px #643FA3;
}

/* ===================================================================================================================== */

#DivDontEveGiveUp {
    margin: 0 auto;
    text-align: center;
}

#imgDontEverGiveUp {
    width: 60%;
    margin-top: 1em;
    margin-bottom: 2em;

    border: 1px solid black;
}

/* ===================================================================================================================== */

#ContactMap {
    width: 20vw;
    height: 25vh;
    max-width: 400px;
    max-height: 300px;
    margin-top: 3em;
    border: 3px solid #000;
}

/* ===================================================================================================================== */
